## scribus 1.4.0.dfsg~rc3+svn20110401

=== CMakeLists.txt ===
##############################################################################################################
########## CMake Setup                                                                              ##########

#Set our CMake minimum version
#Require 2.4.2 for Qt finding
#Require 2.4.3 for moc change detection and rpath updates for custom cairo install
#its not likely 2.4.x will work any more
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0 FATAL_ERROR)

#IF(WIN32)
#  IF (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} LESS 2.6)
#    MESSAGE(FATAL_ERROR "Windows builds require CMake 2.6")
#  ENDIF (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} LESS 2.6)
#ENDIF(WIN32)

#Pretty colors
SET(CMAKE_COLOR_MAKEFILE ON)
#Dont force verbose
SET(CMAKE_VERBOSE_MAKEFILE OFF)
#Include current dir
SET(CMAKE_INCLUDE_CURRENT_DIR TRUE)

#RPATH setup - more below too
IF (WANT_NORPATH OR WANT_DISTROBUILD)
    SET(CMAKE_SKIP_RPATH TRUE)
ELSE (WANT_NORPATH OR WANT_DISTROBUILD)
    SET(CMAKE_SKIP_BUILD_RPATH TRUE)
    SET(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)
    SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
    SET(CMAKE_SKIP_RULE_DEPENDENCY TRUE)
ENDIF (WANT_NORPATH OR WANT_DISTROBUILD)

INCLUDE(CheckIncludeFile)
INCLUDE(CheckCCompilerFlag)
INCLUDE(CheckCXXCompilerFlag)
INCLUDE(CheckTypeSize)
INCLUDE(TestBigEndian)

#Set the custom CMake module directory where our include/lib finders are
SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

##############################################################################################################
########## toplevel compiler flags                                                                  ##########

# CHECK_C_COMPILER_FLAG(" ${CMAKE_SHARED_LIBRARY_C_FLAGS}" C_HAVE_PIC)
# CHECK_CXX_COMPILER_FLAG(" ${CMAKE_SHARED_LIBRARY_C_FLAGS}" CXX_HAVE_PIC)
# IF (CXX_HAVE_PIC AND C_HAVE_PIC)
#     SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${CMAKE_SHARED_LIBRARY_C_FLAGS}")
#     SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_SHARED_LIBRARY_C_FLAGS}")
# ELSE (CXX_HAVE_PIC AND C_HAVE_PIC)
#     MESSAGE(FATAL_ERROR "Shared library support is missing")
# ENDIF (CXX_HAVE_PIC AND C_HAVE_PIC)

# SET(CMAKE_SHARED_MODULE_LINK_FLAGS "${CMAKE_SHARED_MODULE_LINK_FLAGS} -export-dynamic")
# SET(CMAKE_SHARED_MODULE_LINK_CXX_FLAGS "${CMAKE_SHARED_MODULE_LINK_CXX_FLAGS} -export-dynamic")
# SET(CMAKE_SHARED_LIBRARY_C_FLAGS "${CMAKE_SHARED_LIBRARY_C_FLAGS} -export-dynamic")
# SET(CMAKE_SHARED_LIBRARY_CXX_FLAGS "${CMAKE_SHARED_LIBRARY_CXX_FLAGS} -export-dynamic")
# MESSAGE(STATUS ${CMAKE_SHARED_MODULE_LINK_FLAGS})
# MESSAGE(STATUS ${CMAKE_SHARED_MODULE_LINK_CXX_FLAGS})
# MESSAGE(STATUS ${CMAKE_SHARED_LIBRARY_C_FLAGS})
# MESSAGE(STATUS ${CMAKE_SHARED_LIBRARY_CXX_FLAGS})
# MESSAGE(STATUS ${CMAKE_CXX_CREATE_SHARED_MODULE})
# MESSAGE(STATUS ${CMAKE_CXX_CREATE_SHARED_LIBRARY})

#IMPORT FROM COMMANDLINE
# SET with cmake -DWANT_CAIRO=1, etc
# MESSAGE(STATUS ${WANT_CAIRO})
# MESSAGE(STATUS ${WANT_LIBART})
# MESSAGE(STATUS ${WANT_DEBUG})

# SET(WANT_CAIRO 0)
# SET(WANT_LIBART 1)

#Project Setup
PROJECT(scribus)
#Set our version values
#Final version is ${VERSION} = ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}.${VERSION_SUFFIX}
#where VERSION_SUFFIX is of the form "", "svn" or "Nsvn" (N being the minor patch level)
SET (VERSION_MAJOR "1")
SET (VERSION_MINOR "4")
SET (VERSION_PATCH "0")
SET (VERSION_SUFFIX "rc3")
SET (VERSION ${VERSION_MAJOR})
IF (VERSION_MINOR GREATER -1)
  SET (VERSION ${VERSION}.${VERSION_MINOR})
ENDIF (VERSION_MINOR GREATER -1)
IF (VERSION_PATCH GREATER -1)
  SET (VERSION ${VERSION}.${VERSION_PATCH})
ENDIF (VERSION_PATCH GREATER -1)
IF (VERSION_SUFFIX)
  SET (VERSION ${VERSION}.${VERSION_SUFFIX})
ENDIF (VERSION_SUFFIX)
MESSAGE(STATUS "Scribus ${VERSION} will be built to install into ${CMAKE_INSTALL_PREFIX}")

#Set the permissions to be used when installing plugins
SET(PLUGIN_PERMISSIONS WORLD_EXECUTE GROUP_EXECUTE OWNER_EXECUTE WORLD_READ GROUP_READ OWNER_READ OWNER_WRITE)

#Our main directory is scribus
SET(MAIN_DIR_NAME "scribus")

##############################################################################################################
########## check for the CPU we build for                                                           ##########

EXECUTE_PROCESS(
    COMMAND ${CMAKE_C_COMPILER} -dumpmachine
    OUTPUT_VARIABLE MACHINE
    OUTPUT_STRIP_TRAILING_WHITESPACE
)

MESSAGE(STATUS  "Machine: ${MACHINE}, void pointer size: ${CMAKE_SIZEOF_VOID_P}")
STRING(REGEX MATCH "(i?86-*)|(athlon-*)|(pentium-*)" _machine_x86 "${MACHINE}")
IF (_machine_x86)
    MESSAGE(STATUS "Found target X86")
    SET(ARCH_X86 1)
ENDIF (_machine_x86)
IF (APPLE AND CMAKE_SIZEOF_VOID_P EQUAL 8 AND ARCH_X86 EQUAL 1)
  MESSAGE(STATUS "Found Snow Leopard Target: Apple, 64 bit, X86")
  UNSET(ARCH_X86)
  SET(ARCH_X86_64 1)
  SET(APPLE_10_6_X 1 CACHE TYPE BOOL)
ENDIF (APPLE AND CMAKE_SIZEOF_VOID_P EQUAL 8 AND ARCH_X86 EQUAL 1)

STRING(REGEX MATCH "(x86_64-*)|(X86_64-*)|(AMD64-*)|(amd64-*)" _machine_x86_64 "${MACHINE}")
IF (_machine_x86_64)
    MESSAGE(STATUS "Found target X86_64")
    SET(ARCH_X86_64 1)
ENDIF (_machine_x86_64)

STRING(REGEX MATCH "(sparc64-*)|(SPARC64-*)" _machine_sparc_64 "${MACHINE}")
IF (_machine_sparc_64)
    MESSAGE(STATUS "Found target SPARC 64")
    SET(ARCH_SPARC_64 1)
ENDIF (_machine_sparc_64)

STRING(REGEX MATCH "(mips64-*)|(MIPS64-*)" _machine_mips_64 "${MACHINE}")
IF (_machine_mips_64)
    MESSAGE(STATUS "Found target MIPS 64")
    SET(ARCH_MIPS_64 1)
ENDIF (_machine_mips_64)

STRING(REGEX MATCH "(mips-*)|(MIPS-*)" _machine_mips "${MACHINE}")
IF (_machine_mips)
    MESSAGE(STATUS "Found target MIPS")
    SET(ARCH_MIPS 1)
ENDIF (_machine_mips)

STRING(REGEX MATCH "(hppa-*)" _machine_hppa "${MACHINE}")
IF (_machine_hppa)
    MESSAGE(STATUS "Found target HPPA")
    SET(ARCH_HPPA 1)
ENDIF (_machine_hppa)

STRING(REGEX MATCH "(ppc-*)|(powerpc-*)" _machine_ppc "${MACHINE}")
IF (_machine_ppc)
    MESSAGE(STATUS "Found target PPC")
    SET(ARCH_PPC 1)
ENDIF (_machine_ppc)

STRING(REGEX MATCH "(ppc64-*)|(PPC64-*)|(powerpc64-*)" _machine_ppc_64 "${MACHINE}")
IF (_machine_ppc_64)
    MESSAGE(STATUS "Found target PPC64")
    SET(ARCH_PPC_64 1)
ENDIF (_machine_ppc_64)

STRING(REGEX MATCH "(sparc-*)" _machine_sparc "${MACHINE}")
IF (_machine_sparc)
    MESSAGE(STATUS "Found target Sparc")
    SET(ARCH_SPARC 1)
ENDIF (_machine_sparc)

STRING(REGEX MATCH "(sparcv9-*)" _machine_sparcv9 "${MACHINE}")
IF (_machine_sparcv9)
    MESSAGE(STATUS "Found target Sparc v9")
    SET(ARCH_SPARCV9 1)
ENDIF (_machine_sparcv9)

STRING(REGEX MATCH "(sparc64-*)" _machine_sparc64 "${MACHINE}")
IF (_machine_sparc64)
    MESSAGE(STATUS "Found target Sparc64")
    SET(ARCH_SPARC64 1)
    SET(ARCH64BIT 1)
ENDIF (_machine_sparc64)

#convert any 64 bit build into generic 64 tag for below
IF (ARCH_X86_64 OR ARCH_SPARC_64 OR ARCH_MIPS_64 OR ARCH_PPC_64) 
  SET(ARCH64BIT 1)
ENDIF (ARCH_X86_64 OR ARCH_SPARC_64 OR ARCH_MIPS_64 OR ARCH_PPC_64) 

MESSAGE(STATUS "Building for target ${MACHINE}")

##############################################################################################################
########## Versioning Setup                                                                         ##########

#On Apple, we ignore the versioning tag so all items are "scribus" not "scribus-version"
IF (NOT BUILD_OSX_BUNDLE)
  SET(BUILD_OSX_BUNDLE ${APPLE} CACHE TYPE BOOL)
ENDIF (NOT BUILD_OSX_BUNDLE)

#Simplify future conditionals for Apple
IF (APPLE AND BUILD_OSX_BUNDLE)
  SET(APPLEBUNDLE TRUE CACHE TYPE BOOL)
ENDIF (APPLE AND BUILD_OSX_BUNDLE)

#Announce we cached a version request before, overridden below for OSX
IF(TAG_VERSION)
  IF (NOT APPLEBUNDLE)
    MESSAGE(STATUS "Previously selected version tag: ${TAG_VERSION}")
  ENDIF (NOT APPLEBUNDLE)
  SET(WANT_VERSIONING 1)
  SET(CACHED_VERSIONING 1)
ENDIF(TAG_VERSION)

#Remove version tags on OSX so our bundle is Scribus.app
IF (APPLEBUNDLE)
  IF (WANT_VERSIONING OR CACHED_VERSIONING)
    MESSAGE(STATUS "Ignoring version tag on OSX when building bundle")
    SET(WANT_VERSIONING 0)
    SET(CACHED_VERSIONING 0)
  ENDIF (WANT_VERSIONING OR CACHED_VERSIONING)
ENDIF (APPLEBUNDLE)

#Store our version string if require
IF (WANT_VERSIONING AND NOT CACHED_VERSIONING)
  IF (NOT CUSTOM_VERSIONTAG)
    SET(TAG_VERSION "-${VERSION}" CACHE TYPE STRING)
  ELSE (NOT CUSTOM_VERSIONTAG)
    SET(TAG_VERSION ${CUSTOM_VERSIONTAG} CACHE TYPE STRING)
  ENDIF (NOT CUSTOM_VERSIONTAG)
ENDIF (WANT_VERSIONING AND NOT CACHED_VERSIONING)

##############################################################################################################
########## Install/Directory Setup                                                                  ##########

IF (APPLEBUNDLE)
  IF ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/Contents/?$")
    # all ok
  ELSE ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/Contents/?$")
    IF ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/?$")
      # add "/Contents" subpath
      SET(CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/Contents")
    ELSE ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/?$")
      # no bundle name spcified, use appname and version
      SET(CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/Scribus${VERSION}.app/Contents")
    ENDIF ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/?$")
  ENDIF ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/Contents/?$")

  MESSAGE(STATUS "APPLEBUNDLE install prefix: ${CMAKE_INSTALL_PREFIX}")
ENDIF (APPLEBUNDLE)


#Setp all the directories we will use
#MAN
CMAKE_POLICY(SET CMP0005 OLD)
SET(MANDIR "share/man/")
IF(WANT_VERSIONING)
    SET(SHAREDIR "share/${MAIN_DIR_NAME}${TAG_VERSION}/")
ELSE(WANT_VERSIONING)
    SET(SHAREDIR "share/${MAIN_DIR_NAME}/")
ENDIF(WANT_VERSIONING)
ADD_DEFINITIONS("-DSHAREDIR=\\\"${CMAKE_INSTALL_PREFIX}/${SHAREDIR}\\\"")

#SHARE - use the default on Apple as TAG_VERSION is empty
IF(WIN32 OR OS2)
  SET(DOCDIR "share/doc/")
ELSE (WIN32 OR OS2)
  IF(TAG_VERSION OR BUILD_OSX_BUNDLE)
    SET(DOCDIR "share/doc/${MAIN_DIR_NAME}${TAG_VERSION}/")
  ELSE(TAG_VERSION OR BUILD_OSX_BUNDLE)
        IF(NOT WANT_VERSIONING)
            SET(DOCDIR "share/doc/${MAIN_DIR_NAME}/")
        ELSE(NOT WANT_VERSIONING)
            SET(DOCDIR "share/doc/${MAIN_DIR_NAME}-${VERSION}/")
        ENDIF(NOT WANT_VERSIONING)
  ENDIF (TAG_VERSION OR BUILD_OSX_BUNDLE)
ENDIF (WIN32 OR OS2)
ADD_DEFINITIONS("-DDOCDIR=\\\"${CMAKE_INSTALL_PREFIX}/${DOCDIR}\\\"")

#ICON
IF(WIN32)
  SET(ICONDIR "share/icons/")
ELSE(WIN32)
  SET(ICONDIR "share/${MAIN_DIR_NAME}${TAG_VERSION}/icons/")
ENDIF(WIN32)
ADD_DEFINITIONS("-DICONDIR=\\\"${CMAKE_INSTALL_PREFIX}/${ICONDIR}\\\"")

#SAMPLES
SET(SAMPLESDIR "share/${MAIN_DIR_NAME}${TAG_VERSION}/samples/")
ADD_DEFINITIONS("-DSAMPLESDIR=\\\"${CMAKE_INSTALL_PREFIX}/${SAMPLESDIR}\\\"")

#SCRIPTS
SET(SCRIPTSDIR "share/${MAIN_DIR_NAME}${TAG_VERSION}/scripts/")
ADD_DEFINITIONS("-DSCRIPTSDIR=\\\"${CMAKE_INSTALL_PREFIX}/${SCRIPTSDIR}\\\"")

#TEMPLATES
IF(WIN32)
  SET(TEMPLATEDIR "share/templates/")
ELSE(WIN32)
  SET(TEMPLATEDIR "share/${MAIN_DIR_NAME}${TAG_VERSION}/templates/")
ENDIF(WIN32)
ADD_DEFINITIONS("-DTEMPLATEDIR=\\\"${CMAKE_INSTALL_PREFIX}/${TEMPLATEDIR}\\\"")

#DESKTOP
SET(DESKTOPDIR "share/applications/")
ADD_DEFINITIONS("-DDESKTOPDIR=\\\"${CMAKE_INSTALL_PREFIX}/${DESKTOPDIR}\\\"")

# APPLICATION_DATA_DIR
# It allows specify the user configuration directory in the compile time.
# Example: I want to use special ~/.scribus135svn config directory for my trunk
#          cmake -DAPPLICATION_DATA_DIR=.scribus135svn ...
IF (APPLICATION_DATA_DIR)
	MESSAGE(STATUS "Using ApplicationDataDir ${APPLICATION_DATA_DIR} instead of the platform default.")
    ADD_DEFINITIONS("-DAPPLICATION_DATA_DIR=\\\"${APPLICATION_DATA_DIR}\\\"")
ELSE (APPLICATION_DATA_DIR)
    MESSAGE(STATUS "Using standard ApplicationDataDir. You can change it with -DAPPLICATION_DATA_DIR")
ENDIF (APPLICATION_DATA_DIR)

#LIB LOCATION - lib or lib64 normally
#LIB
IF(WANT_LIB64)
  IF(NOT ARCH_X86_64)

=== debian/changelog ===
scribus (1.4.0.dfsg~rc3+svn20110401-1.1ubuntu1) oneiric; urgency=low

  * Merge with Debian; remaining changes:
    - Drop build-dep on libpodofo-dev (in universe).
    - Add call to dh_python2 in debian/rules, version build-dep for
      python-all-dev, and remove hard coded python dependency.
    - Move icc-profiles from Recommends to Suggests since it's in multiverse.
  * Recommend icc-profiles-free.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 15 Sep 2011 19:55:54 +0200

scribus (1.4.0.dfsg~rc3+svn20110401-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix headers to not FTBFS with newer CUPS 1.5. (Closes: #639031)
  * Fix FTBFS in ARM. (Closes: #621401). Patch by Jani Monoses. Thanks to Riku
    Voipio for the pointer.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 11 Sep 2011 22:10:03 +0200

scribus (1.4.0.dfsg~rc3+svn20110401-1ubuntu2) oneiric; urgency=low

  * Drop build-dep on libpodofo-dev (in Universe)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 10 Aug 2011 11:26:51 -0400

scribus (1.4.0.dfsg~rc3+svn20110401-1ubuntu1) oneiric; urgency=low

  * Update from Debian Unstable
  * Add debian/patches/cups_1_5_header.patch to build with cups 1.5
  * Add call to dh_python2 in debian/rules, version build-dep for
    python-all-dev, and remove hard coded python dependency
  * Move icc-profiles from Recommends to Suggests since it's in Multiverse

 -- Scott Kitterman <scott@kitterman.com>  Wed, 10 Aug 2011 09:42:00 -0400

scribus (1.4.0.dfsg~rc3+svn20110401-1) unstable; urgency=low

  * New upstream release candidate. This code buids cleanly on all
    Debian architectures (see scribus-ng), so it's a candidate to replace the
    Qt3-based 1.3.3.14.
  * debian/control:
    - Updated podofo dependency to 0.9.0 now that it's in Debian.
    - Fixed description to say 'stable branch'.
    - Changed Architeture to any now that scribus builds cleanly again.
    - Updated debhelper dependency from 5 to 7.
  * debian/compate: Updated from 5 to 7.

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 01 Apr 2011 12:29:35 -0500

scribus (1.3.9.dfsg+svn20110210-2) unstable; urgency=low

  * Rebuild outside of the pbuilder that already uses libpodofo0.8.4.
    (Closes: #613774).
  * debian/control:
    - Changed the architecture list to those release architectures that can
      safely build scribus.
    - Fixed a Qt3->Qt4 type in the long description (Closes: #613554).

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 17 Feb 2011 00:23:51 -0500

scribus (1.3.9.dfsg+svn20110210-1) unstable; urgency=low

  * Switch to the Qt4 branch (1.3.4svn) in preparation for Qt3 removal from
    Debian (Closes: #604519, #551396, #565331, #581500, #550136, #378041,
    #270614, #270618).
  * debian/*: Replace with adjusted scribus-ng packaging scripts.

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 11 Feb 2011 12:29:27 -0600

scribus (1.3.3.14.dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    - remove vnd.scribus.desktop from /usr/share/applications.
    - remove deprecated dh_desktop call.
  * debian/scribus.install: install vnd.scribus.desktop and scribus.desktop 
    into appropriate loations.
  * debian/scribus.desktop: copy from vnd.scribus.desktop.
  * debian/control: add scribus-profiles to recommends.

 -- Oleksandr Moskalenko <malex@debian.org>  Wed, 17 Mar 2010 18:00:34 -0400

scribus (1.3.3.13.dfsg~svn20081228-2) unstable; urgency=low

  * debian/control: Fix a typo on build depends that somehow passed through
    my pbuilder test.

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 23 Jan 2009 16:19:28 -0700

scribus (1.3.3.13.dfsg~svn20081228-1) unstable; urgency=low

  * Upstream svn update - fix the .desktop file again as scribus still ends up
    in the Other category.
  * debian/scribus.menu: Shortened description.

 -- Oleksandr Moskalenko <malex@debian.org>  Wed, 21 Jan 2009 12:54:36 -0700

scribus (1.3.3.13.dfsg~svn20081006-1) unstable; urgency=low

  * Upstream svn update - fix the .desktop file and icon file name to simplify
    debian packaging.
  * debian/scribus.install: 
    - Install the icon file properly.
    - Don't install the debian/scribus.desktop anymore as upstream's been
      fixed.

 -- Oleksandr Moskalenko <malex@debian.org>  Tue, 07 Oct 2008 13:46:40 -0600

scribus (1.3.3.13.dfsg~svn20080709-1) unstable; urgency=low

  * Upstream svn update.

 -- Oleksandr Moskalenko <malex@debian.org>  Sat, 20 Sep 2008 08:37:20 -0600

scribus (1.3.3.12.dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #487288).
  * Some of the changes below are done to bring the Debian package closer to
    its Ubuntu version at the urging of Scott Kitterman <scott@kitterman.com>
    from the Ubuntu team.
  * debian/control:
    - changed the dependency on python2.4-dev to python-all-dev.
    - changed the architecture list to any (Closes: #481441).
    - removed the erroneous statement about this being a developmental branch
      of Scribus from the long description.
    - removed the revision from build-depends cmake version per lintian W:.
    - updated Standards-Version to current 3.8.0.
    - removed xutils from build-depends per lintian E:.
  * debian/rules:
    - use a copy of desktop file with fixed it icon path (Closes: #478926).
    - removed the obsolete linda overrides installation directive.
    - added -DWANT_LIB32:BOOL=1 \ to use a correct location for builds.
    - removed leading '-' from clean-patched target directives per lintian W:.
    - removed the make clean directive since this is an out-of-tree build and
      I can simply rm -rf build and install dirs.
  * debian/scribus.dirs: added usr/share/man/de/man1 for the german manpage.
  * debian/scribus.linda: removed the obsolete linda overrides file.
  * debian/scribus.lintian: added overrides for two bogus warnings and an
    error (3 new lines at the bottom).

 -- Oleksandr Moskalenko <malex@debian.org>  Wed, 02 Jul 2008 13:42:07 -0600



=== debian/control ===
Source: scribus
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Oleksandr Moskalenko <malex@debian.org>
Build-Depends: debhelper (>= 7), cmake (>= 2.4.3), gcc (>=3.3.5), libqt4-dev (>= 4.6), libcairo2-dev, zlib1g-dev, liblcms1-dev (>= 1.13), libtiff4-dev, libcups2-dev, libxml2-dev (>= 2.6.16), gettext, python-all-dev (>= 2.6.6-3~), libaspell-dev,  quilt, libboost-python-dev
Standards-Version: 3.9.1

Package: scribus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-tk, ghostscript (>= 8.61)
Recommends: xfonts-scalable | gsfonts-x11, cups-bsd, icc-profiles-free
Suggests: scribus-template, icc-profiles
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Homepage: http://www.scribus.net/
Description: Open Source Desktop Page Layout - stable branch
 .
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript, primarily, though
 not exclusively for Linux.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation. It has
 sophisticated page layout features like precision placing and rotating of text
 and/or images on a page, manual kerning of type, bezier curves polygons,
 precision placement of objects, layering with RGB and CMYK custom colors. The
 Scribus document file format is XML-based. Unlike proprietary binary file
 formats, even damaged documents, can be recovered with a simple text editor.
 .
 Scribus supports professional DTP features, such as CMYK color and a
 color management system to soft proof images for high quality color printing,
 flexible PDF creation options, Encapsulated PostScript import/export and
 creation of 4 color separations, import of EPS/PS and SVG as native vector
 graphics, Unicode text including right to left scripts such as Arabic and
 Hebrew via freetype. Graphic formats which can be placed in Scribus as images
 include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
 and any bitmap type supported by QT4.
 .
 Printing, PDF and SVG creation are done via custom driver libraries and
 plug-ins, giving Scribus inventive features: the abilities to include
 presentation effects with PDF output, fully scriptable interactive PDF
 forms, SVG vector file output. The internal printer drivers fully support
 Level 2 and Level 3/PDF 1.4 postscript features including transparency and
 font embedding.
 .
 When run from KDE, Drag and Drop, for example from desktop to the canvas,
 is enabled. There is easy to use drag and drop scrapbook for frequently
 used items such as text blocks, pictures and custom shaped frames.

=== debian/rules ===
#!/usr/bin/make -f

package=scribus
CMAKE=/usr/bin/cmake

#export DH_VERBOSE=1
DEBUG_FLAG=0


DEBIAN_DIR = $(shell pwd)/debian
BUILD_DIR = $(shell pwd)/debian/build
INSTALL_DIR = $(shell pwd)/debian/scribus
DOC_DIR = $(INSTALL_DIR)/usr/share/doc/scribus
SCRIPTS_DIR = $(INSTALL_DIR)/usr/share/scribus/scripts

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH),alpha)
OPT_FLAG = -O0
else
OPT_FLAG = -O2
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
OPT_FLAG = -O0
endif

OPT_FLAG += -g -Wall

configure-stamp: patch
	echo "DEB_BUILD_OPTIONS: ${DEB_BUILD_OPTIONS}"
	dh_testdir
	mkdir -p $(BUILD_DIR)
	cd $(BUILD_DIR) && $(CMAKE) \
	    -DWANT_DEBUG:STRING=$(DEBUG_FLAG) \
	    -DWANT_LIB32:BOOL=1 \
	    -DWANT_CAIRO:BOOL=1 \
	    -DCMAKE_INSTALL_PREFIX:PATH=/usr \
	    -DWANT_DISTROBUILD:BOOL=1 \
	    -DWANT_NORPATH:BOOL=1 \
	    -DCMAKE_SKIP_RPATH:BOOL=1 \
	    -DRPATH_STYLE:STRING=none \
	    -DWANT_VERSIONING:BOOL=0 \
	    -DCUSTOM_VERSIONTAG:STRING="" \
	    -DCMAKE_CXX_FLAGS:STRING='$(OPT_FLAG)' \
	    -DCMAKE_C_FLAGS:STRING='$(OPT_FLAG)' ../../
	touch configure-stamp


build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	dh_clean
	$(MAKE) $(MAKE_FLAG) -C $(BUILD_DIR)
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	-rm -f configure-stamp build-stamp install-stamp
	-rm -rf $(BUILD_DIR) $(INSTALL_DIR)
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	dh_install
	mkdir -p $(INSTALL_DIR)
	$(MAKE) $(MAKE_FLAG) -C $(BUILD_DIR) install DESTDIR=$(INSTALL_DIR)
	mv $(INSTALL_DIR)/usr/share/scribus/scripts/ChangeLog $(INSTALL_DIR)/usr/share/doc/scribus/ChangeLogScripts
	mv $(INSTALL_DIR)/usr/share/scribus/icons/scribus.png $(INSTALL_DIR)/usr/share/pixmaps/scribus.png
	- rm -f $(INSTALL_DIR)/usr/share/doc/scribus/ChangeLogSVN \
	$(DOC_DIR)/AUTHORS \
	$(DOC_DIR)/BUILDING \
	$(DOC_DIR)/changelog \
	$(DOC_DIR)/BUILDING \
	$(DOC_DIR)/PACKAGING \
	$(DOC_DIR)/NEWS \
	$(DOC_DIR)/TODO \
	$(DOC_DIR)/INSTALL \
	$(DOC_DIR)/README.MacOSX \
	$(DOC_DIR)/README.OS2 \
	$(DOC_DIR)/COPYING \
	$(SCRIPTS_DIR)/COPYING \
	$(SCRIPTS_DIR)/NEWS \
	$(SCRIPTS_DIR)/ReadMe \
	$(SCRIPTS_DIR)/TODO \
	$(INSTALL_DIR)/usr/share/applications/vnd.scribus.desktop
	chmod 755 $(INSTALL_DIR)/usr/share/scribus/samples/*.py
	install -m644 debian/scribus.lintian $(INSTALL_DIR)/usr/share/lintian/overrides/scribus
	cp scribus.desktop $(INSTALL_DIR)/usr/share/applications/scribus.desktop
	touch install-stamp


binary-indep: build install
	dh_testdir
	dh_testroot


binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -a README AUTHORS TODO
	dh_installmenu -a
	dh_installchangelogs ChangeLog
	dh_link -a
	dh_python2 -a /usr/share/scribus/scripts
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	chmod 755 $(INSTALL_DIR)/usr/lib/scribus/plugins/*.so
	chmod 755 $(INSTALL_DIR)/usr/lib/scribus/plugins/*/*.so
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: binary clean binary-indep binary-arch binary install patch unpatch

## scribus 1.4.0.dfsg%2br17300

=== debian/changelog ===
scribus (1.4.0.dfsg+r17300-1ubuntu1) precise; urgency=low

  * Merge with Debian (LP: #932962); remaining changes:
    - Drop build-dep on libpodofo-dev (in universe).
    - Add call to dh_python2 in debian/rules, version build-dep for
      python-all-dev, and remove hard coded python dependency.
    - Recommend icc-profiles-free.

 -- Bernhard Reiter <ockham@raz.or.at>  Wed, 15 Feb 2012 19:13:04 +0100

scribus (1.4.0.dfsg+r17300-1) unstable; urgency=low

  * Update from the scribus svn with armel patches included (Closes: #659916).

 -- Oleksandr Moskalenko <malex@debian.org>  Tue, 14 Feb 2012 15:58:50 -0600

scribus (1.4.0.dfsg+r17287-2) unstable; urgency=low

  * Patch additional files to fix FTBFS on arm*.
    - debian/patches/armel_ftbfs.patch

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 13 Feb 2012 15:40:28 -0600

scribus (1.4.0.dfsg+r17287-1) unstable; urgency=low

  * New upstream stable release upload into Debian (Closes: #654703).
  * Applied the Ubuntu armel patch.
  * Removed non-free color swatches from resources.
  * debian/control:
    - Moved icc-profiles from Recommends to Suggests (Closes: #655885).
    - Updated Standards-Version to 3.9.2.
    - Updated extended description per lintian warning.
  * debian/rules:
    - Update mailcap (Closes: #630751). A request for mime.types update has
      been sent to the mime-support maintainer.
    - Added build-arch and build-indep targets per lintian warning.
  * debian/patches:
    - top_cmakelists.patch - don't copy extra docs and changelogs.
    - scribus_cmakelists.patch - don't copy extra docs and changelogs.
    - scribus_cmakelists.patch - don't install the non-free "doc" dir.
    - profiles_cmakelists.patch - don't install non-free sRGB profile.
  * debian/copyright: 
    - Converted to the DEP5 machine readable foramt.
    - Added licenses for free color swatches.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 09 Feb 2012 21:50:56 -0600

scribus (1.4.0.dfsg-1) unstable; urgency=low

  * New Stable Release - Happy New Year!

 -- Oleksandr Moskalenko <malex@debian.org>  Sun, 01 Jan 2012 14:30:15 -0600

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,9 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Oleksandr Moskalenko <malex@debian.org>
 Build-Depends: debhelper (>= 7), cmake (>= 2.4.3), gcc (>=3.3.5), libqt4-dev (>= 4.6), libcairo2-dev, zlib1g-dev, liblcms1-dev (>= 1.13), libtiff4-dev, libcups2-dev, libxml2-dev (>= 2.6.16), gettext, python-all-dev (>= 2.6.6-3~), libaspell-dev,  quilt, libboost-python-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
+Vcs-Git: git://git.debian.org/git/collab-maint/scribus.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/scribus.git
 
 Package: scribus
 Architecture: any
@@ -15,7 +17,6 @@
 XB-Python-Version: ${python:Versions}
 Homepage: http://www.scribus.net/
 Description: Open Source Desktop Page Layout - stable branch
- .
  Scribus is an open source desktop page layout program with the aim of
  producing commercial grade output in PDF and Postscript, primarily, though
  not exclusively for Linux.

=== debian/rules ===
--- 
+++ 
@@ -94,11 +94,13 @@
 	cp scribus.desktop $(INSTALL_DIR)/usr/share/applications/scribus.desktop
 	touch install-stamp
 
+build-indep: binary-indep
 
 binary-indep: build install
 	dh_testdir
 	dh_testroot
 
+build-arch: binary-arch
 
 binary-arch: build install
 	dh_testdir
@@ -106,6 +108,7 @@
 	dh_installdocs -a README AUTHORS TODO
 	dh_installmenu -a
 	dh_installchangelogs ChangeLog
+	dh_installmime
 	dh_link -a
 	dh_python2 -a /usr/share/scribus/scripts
 	dh_strip -a
@@ -121,4 +124,4 @@
 
 binary: binary-indep binary-arch
 
-.PHONY: binary clean binary-indep binary-arch binary install patch unpatch
+.PHONY: binary clean binary-indep binary-arch binary install patch unpatch build-arch build-indep
